# Uses of Interface
org.apache.cxf.Bus

Packages that use Bus
Package
Description
org.apache.cxf
org.apache.cxf.binding
org.apache.cxf.bus
org.apache.cxf.bus.extension
org.apache.cxf.bus.managers
org.apache.cxf.bus.resource
org.apache.cxf.bus.spring
org.apache.cxf.buslifecycle
org.apache.cxf.catalog
org.apache.cxf.common.jaxb
org.apache.cxf.common.spi
org.apache.cxf.common.util
org.apache.cxf.databinding
org.apache.cxf.databinding.stax
org.apache.cxf.endpoint
org.apache.cxf.feature
org.apache.cxf.feature.transform
org.apache.cxf.feature.validation
org.apache.cxf.interceptor
org.apache.cxf.interceptor.security
org.apache.cxf.io
org.apache.cxf.message
org.apache.cxf.service
org.apache.cxf.service.factory
org.apache.cxf.transport
org.apache.cxf.transport.common.gzip
org.apache.cxf.validation
org.apache.cxf.ws.addressing

- ## Uses of Bus in org.apache.cxf

  Fields in org.apache.cxf declared as Bus
  Modifier and Type
  Field
  Description
  `protected static Bus`
  BusFactory.`defaultBus`
  Methods in org.apache.cxf that return Bus
  Modifier and Type
  Method
  Description
  `abstract Bus`
  BusFactory.`createBus()`
  Creates a new bus.
  `static Bus`
  BusFactory.`getAndSetThreadDefaultBus(Bus bus)`
  Sets the default bus for the thread.
  `static Bus`
  BusFactory.`getDefaultBus()`
  Returns the default bus, creating it if necessary.
  `static Bus`
  BusFactory.`getDefaultBus(boolean createIfNeeded)`
  Returns the default bus
  `static Bus`
  BusFactory.`getThreadDefaultBus()`
  Gets the default bus for the thread.
  `static Bus`
  BusFactory.`getThreadDefaultBus(boolean createIfNeeded)`
  Gets the default bus for the thread, creating if needed
  Methods in org.apache.cxf with parameters of type Bus
  Modifier and Type
  Method
  Description
  `static void`
  BusFactory.`clearDefaultBusForAnyThread(Bus bus)`
  Removes a bus from being a thread default bus for any thread.
  `static Bus`
  BusFactory.`getAndSetThreadDefaultBus(Bus bus)`
  Sets the default bus for the thread.
  `protected void`
  BusFactory.`initializeBus(Bus bus)`
  `static boolean`
  BusFactory.`possiblySetDefaultBus(Bus bus)`
  Sets the default bus if a default bus is not already set.
  `static void`
  BusFactory.`setDefaultBus(Bus bus)`
  Sets the default bus.
  `static void`
  BusFactory.`setThreadDefaultBus(Bus bus)`
  Sets the default bus for the thread.

- ## Uses of Bus in org.apache.cxf.binding

  Fields in org.apache.cxf.binding declared as Bus
  Modifier and Type
  Field
  Description
  `protected Bus`
  AbstractBindingFactory.`bus`
  Methods in org.apache.cxf.binding that return Bus
  Modifier and Type
  Method
  Description
  `Bus`
  AbstractBindingFactory.`getBus()`
  Methods in org.apache.cxf.binding with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  AbstractBindingFactory.`setBus(Bus bus)`
  Constructors in org.apache.cxf.binding with parameters of type Bus
  Modifier
  Constructor
  Description
  ``
  `AbstractBindingFactory(Bus b)`
  ``
  `AbstractBindingFactory(Bus b, Collection<String> ns)`

- ## Uses of Bus in org.apache.cxf.bus

  Methods in org.apache.cxf.bus that return Bus
  Modifier and Type
  Method
  Description
  `Bus`
  CXFBusFactory.`createBus()`
  `Bus`
  CXFBusFactory.`createBus(Map<Class<?>,Object> e)`
  `Bus`
  CXFBusFactory.`createBus(Map<Class<?>,Object> e, Map<String,Object> properties)`
  Constructors in org.apache.cxf.bus with parameters of type Bus
  Modifier
  Constructor
  Description
  ``
  `ManagedBus(Bus b)`

- ## Uses of Bus in org.apache.cxf.bus.extension

  Classes in org.apache.cxf.bus.extension that implement Bus
  Modifier and Type
  Class
  Description
  `class`
  `ExtensionManagerBus`
  This bus uses CXF's built in extension manager to load components (as opposed to using the Spring bus implementation).
  Methods in org.apache.cxf.bus.extension with parameters of type Bus
  Modifier and Type
  Method
  Description
  `Object`
  Extension.`load(ClassLoader cl, Bus b)`
  Constructors in org.apache.cxf.bus.extension with parameters of type Bus
  Modifier
  Constructor
  Description
  ``
  `ExtensionManagerImpl(ClassLoader cl, Map<Class<?>,Object> initialExtensions, ResourceManager rm, Bus b)`
  ``
  `ExtensionManagerImpl(String[] resources, ClassLoader cl, Map<Class<?>,Object> initialExtensions, ResourceManager rm, Bus b)`
  ``
  `ExtensionManagerImpl(String resource, ClassLoader cl, Map<Class<?>,Object> initialExtensions, ResourceManager rm, Bus b)`

- ## Uses of Bus in org.apache.cxf.bus.managers

  Methods in org.apache.cxf.bus.managers that return Bus
  Modifier and Type
  Method
  Description
  `Bus`
  HeaderManagerImpl.`getBus()`
  `Bus`
  ServerRegistryImpl.`getBus()`
  `Bus`
  WorkQueueManagerImpl.`getBus()`
  Methods in org.apache.cxf.bus.managers with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  BindingFactoryManagerImpl.`setBus(Bus b)`
  `void`
  ConduitInitiatorManagerImpl.`setBus(Bus b)`
  `final void`
  CXFBusLifeCycleManager.`setBus(Bus b)`
  `void`
  DestinationFactoryManagerImpl.`setBus(Bus b)`
  `final void`
  EndpointResolverRegistryImpl.`setBus(Bus b)`
  `final void`
  HeaderManagerImpl.`setBus(Bus bus)`
  `final void`
  ServerRegistryImpl.`setBus(Bus bus)`
  `final void`
  ServiceContractResolverRegistryImpl.`setBus(Bus bus)`
  Sets the bus with which the registry is associated.
  `final void`
  WorkQueueManagerImpl.`setBus(Bus bus)`
  Constructors in org.apache.cxf.bus.managers with parameters of type Bus
  Modifier
  Constructor
  Description
  ``
  `BindingFactoryManagerImpl(Bus b)`
  ``
  `ClientLifeCycleManagerImpl(Bus b)`
  ``
  `ConduitInitiatorManagerImpl(Bus b)`
  ``
  `CXFBusLifeCycleManager(Bus b)`
  ``
  `DestinationFactoryManagerImpl(Map<String,DestinationFactory> destinationFactories, Bus b)`
  ``
  `DestinationFactoryManagerImpl(Bus b)`
  ``
  `EndpointResolverRegistryImpl(Bus b)`
  ``
  `HeaderManagerImpl(Bus b)`
  ``
  `ServerLifeCycleManagerImpl(Bus b)`
  ``
  `ServerRegistryImpl(Bus b)`
  ``
  `ServiceContractResolverRegistryImpl(Bus b)`
  ``
  `WorkQueueManagerImpl(Bus b)`

- ## Uses of Bus in org.apache.cxf.bus.resource

  Methods in org.apache.cxf.bus.resource with parameters of type Bus
  Modifier and Type
  Method
  Description
  `final void`
  ResourceManagerImpl.`setBus(Bus b)`
  Constructors in org.apache.cxf.bus.resource with parameters of type Bus
  Modifier
  Constructor
  Description
  ``
  `ResourceManagerImpl(Bus b)`

- ## Uses of Bus in org.apache.cxf.bus.spring

  Classes in org.apache.cxf.bus.spring that implement Bus
  Modifier and Type
  Class
  Description
  `class`
  `SpringBus`
  Methods in org.apache.cxf.bus.spring that return Bus
  Modifier and Type
  Method
  Description
  `static Bus`
  BusWiringBeanFactoryPostProcessor.`addBus(org.springframework.context.ApplicationContext ctx, String name)`
  `static Bus`
  BusWiringBeanFactoryPostProcessor.`addDefaultBus(org.springframework.context.ApplicationContext ctx)`
  `Bus`
  SpringBusFactory.`createBus()`
  `Bus`
  SpringBusFactory.`createBus(String cfgFile)`
  `Bus`
  SpringBusFactory.`createBus(String[] cfgFiles)`
  `Bus`
  SpringBusFactory.`createBus(String[] cfgFiles, boolean includeDefaults)`
  `Bus`
  SpringBusFactory.`createBus(String cfgFile, boolean includeDefaults)`
  `Bus`
  SpringBusFactory.`createBus(URL url)`
  `Bus`
  SpringBusFactory.`createBus(URL[] urls)`
  `Bus`
  SpringBusFactory.`createBus(URL[] urls, boolean includeDefaults)`
  `Bus`
  SpringBusFactory.`createBus(URL url, boolean includeDefaults)`
  `protected Bus`
  SpringBusFactory.`finishCreatingBus(org.springframework.context.ConfigurableApplicationContext bac)`
  Methods in org.apache.cxf.bus.spring with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  BusDefinitionParser.BusConfig.`setBus(Bus bb)`
  Constructors in org.apache.cxf.bus.spring with parameters of type Bus
  Modifier
  Constructor
  Description
  ``
  `BusWiringBeanFactoryPostProcessor(Bus b)`
  ``
  `SpringBeanLocator(org.springframework.context.ApplicationContext ctx, Bus bus)`

- ## Uses of Bus in org.apache.cxf.buslifecycle

  Methods in org.apache.cxf.buslifecycle with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  BusCreationListener.`busCreated(Bus b)`
  Invoked to create a BusLifeCycleListener.

- ## Uses of Bus in org.apache.cxf.catalog

  Methods in org.apache.cxf.catalog that return Bus
  Modifier and Type
  Method
  Description
  `Bus`
  OASISCatalogManager.`getBus()`
  Methods in org.apache.cxf.catalog with parameters of type Bus
  Modifier and Type
  Method
  Description
  `static OASISCatalogManager`
  OASISCatalogManager.`getCatalogManager(Bus bus)`
  `void`
  OASISCatalogManager.`setBus(Bus bus)`
  Constructors in org.apache.cxf.catalog with parameters of type Bus
  Modifier
  Constructor
  Description
  ``
  `CatalogXmlSchemaURIResolver(Bus bus)`
  ``
  `OASISCatalogManager(Bus b)`

- ## Uses of Bus in org.apache.cxf.common.jaxb

  Methods in org.apache.cxf.common.jaxb with parameters of type Bus
  Modifier and Type
  Method
  Description
  `static Object`
  JAXBUtils.`setNamespaceMapper(Bus bus, Map<String,String> nspref, jakarta.xml.bind.Marshaller marshaller)`

- ## Uses of Bus in org.apache.cxf.common.spi

  Fields in org.apache.cxf.common.spi declared as Bus
  Modifier and Type
  Field
  Description
  `protected final Bus`
  ClassGeneratorClassLoader.`bus`
  `protected final Bus`
  GeneratedClassClassLoader.`bus`
  Constructors in org.apache.cxf.common.spi with parameters of type Bus
  Modifier
  Constructor
  Description
  ``
  `ClassGeneratorClassLoader(Bus bus)`
  ``
  `ClassLoaderProxyService(Bus bus)`
  ``
  `GeneratedClassClassLoader(Bus bus)`
  ``
  `GeneratedNamespaceClassLoader(Bus bus)`
  ``
  `GenerateJustInTime(Bus bus)`
  ``
  `LoadFirst(Bus bus)`
  ``
  `NamespaceClassGenerator(Bus bus)`

- ## Uses of Bus in org.apache.cxf.common.util

  Methods in org.apache.cxf.common.util with parameters of type Bus
  Modifier and Type
  Method
  Description
  `static Class<?>`
  ClassHelper.`getRealClass(Bus bus, Object o)`
  `static Class<?>`
  ClassHelper.`getRealClassFromClass(Bus bus, Class<?> cls)`

- ## Uses of Bus in org.apache.cxf.databinding

  Methods in org.apache.cxf.databinding that return Bus
  Modifier and Type
  Method
  Description
  `protected Bus`
  AbstractDataBinding.`getBus()`
  Methods in org.apache.cxf.databinding with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  AbstractDataBinding.`setBus(Bus bus)`
  This call is used to set the bus.

- ## Uses of Bus in org.apache.cxf.databinding.stax

  Methods in org.apache.cxf.databinding.stax with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  StaxDataBindingFeature.Portable.`initialize(Client client, Bus bus)`
  `void`
  StaxDataBindingFeature.Portable.`initialize(Server server, Bus bus)`

- ## Uses of Bus in org.apache.cxf.endpoint

  Fields in org.apache.cxf.endpoint declared as Bus
  Modifier and Type
  Field
  Description
  `protected Bus`
  AbstractEndpointFactory.`bus`
  `protected Bus`
  ClientImpl.`bus`
  `protected final Bus`
  ManagedEndpoint.`bus`
  `protected final Bus`
  ServerImpl.`bus`
  Methods in org.apache.cxf.endpoint that return Bus
  Modifier and Type
  Method
  Description
  `Bus`
  AbstractEndpointFactory.`getBus()`
  `Bus`
  AbstractEndpointFactory.`getBus(boolean createIfNeeded)`
  `Bus`
  Client.`getBus()`
  Retrieves the Bus that was used to create the Client
  `Bus`
  ClientImpl.`getBus()`
  `Bus`
  EndpointImpl.`getBus()`
  Methods in org.apache.cxf.endpoint with parameters of type Bus
  Modifier and Type
  Method
  Description
  `EndpointImpl`
  EndpointImplFactory.`newEndpointImpl(Bus bus, Service service, EndpointInfo endpointInfo)`
  Create an EndpointImpl from a bus, service, and endpoint info.
  `EndpointImpl`
  SimpleEndpointImplFactory.`newEndpointImpl(Bus bus, Service service, EndpointInfo endpointInfo)`
  Create an EndpointImpl from a bus, service, and endpoint info.
  `void`
  AbstractEndpointFactory.`setBus(Bus bus)`
  `void`
  EndpointImpl.`setBus(Bus bus)`
  Constructors in org.apache.cxf.endpoint with parameters of type Bus
  Modifier
  Constructor
  Description
  ``
  `ClientImpl(Bus b, Endpoint e)`
  ``
  `ClientImpl(Bus b, Endpoint e, ConduitSelector sc)`
  ``
  `ClientImpl(Bus b, Endpoint e, Conduit c)`
  ``
  `ClientImpl(Bus bus, Service svc, QName port, EndpointImplFactory endpointImplFactory)`
  Create a Client that uses a specific EndpointImpl.
  ``
  `EndpointImpl(Bus bus, Service s, QName endpointName)`
  ``
  `EndpointImpl(Bus bus, Service s, EndpointInfo ei)`
  ``
  `ManagedEndpoint(Bus b, Endpoint ep, Server s)`
  ``
  `ServerImpl(Bus bus, Endpoint endpoint, DestinationFactory destinationFactory, BindingFactory bindingFactory)`

- ## Uses of Bus in org.apache.cxf.feature

  Methods in org.apache.cxf.feature with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  AbstractFeature.`doInitializeProvider(InterceptorProvider provider, Bus bus)`
  `default void`
  AbstractPortableFeature.`doInitializeProvider(InterceptorProvider provider, Bus bus)`
  `void`
  FastInfosetFeature.Portable.`doInitializeProvider(InterceptorProvider provider, Bus bus)`
  `void`
  LoggingFeature.Portable.`doInitializeProvider(InterceptorProvider provider, Bus bus)`
  `void`
  StaxTransformFeature.Portable.`doInitializeProvider(InterceptorProvider provider, Bus bus)`
  `default void`
  AbstractPortableFeature.`initialize(Bus bus)`
  `default void`
  AbstractPortableFeature.`initialize(Client client, Bus bus)`
  `default void`
  AbstractPortableFeature.`initialize(Server server, Bus bus)`
  `default void`
  AbstractPortableFeature.`initialize(InterceptorProvider interceptorProvider, Bus bus)`
  `void`
  DelegatingFeature.`initialize(Bus bus)`
  `void`
  DelegatingFeature.`initialize(Client client, Bus bus)`
  `void`
  DelegatingFeature.`initialize(Server server, Bus bus)`
  `void`
  DelegatingFeature.`initialize(InterceptorProvider interceptorProvider, Bus bus)`
  `void`
  Feature.`initialize(Bus bus)`
  `void`
  Feature.`initialize(Client client, Bus bus)`
  `void`
  Feature.`initialize(Server server, Bus bus)`
  `void`
  Feature.`initialize(InterceptorProvider interceptorProvider, Bus bus)`
  `void`
  WrappedFeature.`initialize(Bus bus)`
  `void`
  WrappedFeature.`initialize(Client client, Bus bus)`
  `void`
  WrappedFeature.`initialize(Server server, Bus bus)`
  `void`
  WrappedFeature.`initialize(InterceptorProvider interceptorProvider, Bus bus)`
  `protected void`
  AbstractFeature.`initializeProvider(InterceptorProvider provider, Bus bus)`
  `protected void`
  DelegatingFeature.`initializeProvider(InterceptorProvider interceptorProvider, Bus bus)`

- ## Uses of Bus in org.apache.cxf.feature.transform

  Methods in org.apache.cxf.feature.transform with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  XSLTFeature.Portable.`doInitializeProvider(InterceptorProvider provider, Bus bus)`

- ## Uses of Bus in org.apache.cxf.feature.validation

  Methods in org.apache.cxf.feature.validation with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  SchemaValidationFeature.Portable.`doInitializeProvider(InterceptorProvider interceptorProvider, Bus bus)`
  `void`
  SchemaValidationFeature.Portable.`initialize(Client client, Bus bus)`
  `void`
  SchemaValidationFeature.Portable.`initialize(Server server, Bus bus)`

- ## Uses of Bus in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor that return Bus
  Modifier and Type
  Method
  Description
  `Bus`
  AbstractFaultChainInitiatorObserver.`getBus()`
  Constructors in org.apache.cxf.interceptor with parameters of type Bus
  Modifier
  Constructor
  Description
  ``
  `AbstractFaultChainInitiatorObserver(Bus bus)`
  ``
  `ClientOutFaultObserver(Bus bus)`
  ``
  `InFaultChainInitiatorObserver(Bus bus)`
  ``
  `OutFaultChainInitiatorObserver(Bus bus)`

- ## Uses of Bus in org.apache.cxf.interceptor.security

  Methods in org.apache.cxf.interceptor.security with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  JAASAuthenticationFeature.Portable.`doInitializeProvider(InterceptorProvider provider, Bus bus)`

- ## Uses of Bus in org.apache.cxf.io

  Methods in org.apache.cxf.io with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  DelayedCachedOutputStreamCleaner.`setBus(Bus bus)`

- ## Uses of Bus in org.apache.cxf.message

  Methods in org.apache.cxf.message that return Bus
  Modifier and Type
  Method
  Description
  `Bus`
  Exchange.`getBus()`
  `Bus`
  ExchangeImpl.`getBus()`

- ## Uses of Bus in org.apache.cxf.service

  Methods in org.apache.cxf.service with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  ServiceBuilder.`setBus(Bus bus)`

- ## Uses of Bus in org.apache.cxf.service.factory

  Methods in org.apache.cxf.service.factory that return Bus
  Modifier and Type
  Method
  Description
  `Bus`
  AbstractServiceFactoryBean.`getBus()`
  Methods in org.apache.cxf.service.factory with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  AbstractServiceFactoryBean.`setBus(Bus bus)`
  `final void`
  FactoryBeanListenerManager.`setBus(Bus bus)`
  Constructors in org.apache.cxf.service.factory with parameters of type Bus
  Modifier
  Constructor
  Description
  ``
  `FactoryBeanListenerManager(Bus b)`

- ## Uses of Bus in org.apache.cxf.transport

  Fields in org.apache.cxf.transport declared as Bus
  Modifier and Type
  Field
  Description
  `protected final Bus`
  AbstractDestination.`bus`
  `protected Bus`
  ChainInitiationObserver.`bus`
  `protected Bus`
  MultipleEndpointObserver.`bus`
  `protected Bus`
  TransportURIResolver.`bus`
  Methods in org.apache.cxf.transport with parameters of type Bus
  Modifier and Type
  Method
  Description
  `Conduit`
  ConduitInitiator.`getConduit(EndpointInfo targetInfo, Bus bus)`
  Initiate an outbound Conduit.
  `Conduit`
  ConduitInitiator.`getConduit(EndpointInfo localInfo, org.apache.cxf.ws.addressing.EndpointReferenceType target, Bus bus)`
  Initiate an outbound Conduit.
  `Destination`
  DestinationFactory.`getDestination(EndpointInfo ei, Bus bus)`
  Create a destination.
  `protected static org.apache.cxf.ws.addressing.EndpointReferenceType`
  AbstractObservable.`getTargetReference(EndpointInfo ei, Bus bus)`
  Get the target reference .
  `protected static org.apache.cxf.ws.addressing.EndpointReferenceType`
  AbstractObservable.`getTargetReference(EndpointInfo ei, org.apache.cxf.ws.addressing.EndpointReferenceType t, Bus bus)`
  Get the target endpoint reference.
  Constructors in org.apache.cxf.transport with parameters of type Bus
  Modifier
  Constructor
  Description
  ``
  `AbstractDestination(Bus b, org.apache.cxf.ws.addressing.EndpointReferenceType ref, EndpointInfo ei)`
  ``
  `AbstractMultiplexDestination(Bus b, org.apache.cxf.ws.addressing.EndpointReferenceType ref, EndpointInfo ei)`
  ``
  `ChainInitiationObserver(Endpoint endpoint, Bus bus)`
  ``
  `MultipleEndpointObserver(Bus bus)`
  ``
  `TransportFinder(Bus b, Map<String,T> m, Set<String> l, Class<T> c)`
  ``
  `TransportURIResolver(Bus b)`

- ## Uses of Bus in org.apache.cxf.transport.common.gzip

  Methods in org.apache.cxf.transport.common.gzip with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  GZIPFeature.Portable.`doInitializeProvider(InterceptorProvider provider, Bus bus)`

- ## Uses of Bus in org.apache.cxf.validation

  Methods in org.apache.cxf.validation with parameters of type Bus
  Modifier and Type
  Method
  Description
  `void`
  BeanValidationFeature.Portable.`doInitializeProvider(InterceptorProvider interceptorProvider, Bus bus)`
  `void`
  ClientBeanValidationFeature.Portable.`doInitializeProvider(InterceptorProvider interceptorProvider, Bus bus)`

- ## Uses of Bus in org.apache.cxf.ws.addressing

  Methods in org.apache.cxf.ws.addressing with parameters of type Bus
  Modifier and Type
  Method
  Description
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  EndpointReferenceUtils.`getEndpointReferenceWithId(QName serviceQName, String portName, String id, Bus bus)`
  Obtain a multiplexed endpoint reference for the deployed service that contains the provided id
  `static QName`
  EndpointReferenceUtils.`getInterfaceName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, Bus bus)`
  `static QName`
  EndpointReferenceUtils.`getPortQName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, Bus bus)`
  `static Schema`
  EndpointReferenceUtils.`getSchema(ServiceInfo serviceInfo, Bus b)`
  `static QName`
  EndpointReferenceUtils.`getServiceName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, Bus bus)`
  Gets the service name of the provided endpoint reference.
  `protected void`
  WSAddressingFeature.`initializeProvider(InterceptorProvider provider, Bus bus)`
  `void`
  WSAddressingFeature.WSAddressingFeatureApplier.`initializeProvider(WSAddressingFeature feature, InterceptorProvider provider, Bus bus)`
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  EndpointReferenceUtils.`mint(QName serviceName, Bus bus)`
  Mint logical endpoint reference via the Bus EndpointResolverRegistry.
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  EndpointReferenceUtils.`mint(org.apache.cxf.ws.addressing.EndpointReferenceType physical, Bus bus)`
  Mint logical endpoint reference via the Bus EndpointResolverRegistry.
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  EndpointReferenceUtils.`renew(org.apache.cxf.ws.addressing.EndpointReferenceType logical, org.apache.cxf.ws.addressing.EndpointReferenceType physical, Bus bus)`
  Renew logical endpoint reference via the Bus EndpointResolverRegistry.
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  EndpointReferenceUtils.`resolve(org.apache.cxf.ws.addressing.EndpointReferenceType logical, Bus bus)`
  Resolve logical endpoint reference via the Bus EndpointResolverRegistry.